ServerEvents.recipes(event => {

  event.shaped(
    Item.of('irons_spellbooks:divine_pearl', 1),
    [
      'XVX',
      'VOV',
      'XVX'
    ],
    {
      O: 'minecraft:quartz',
      V: 'minecraft:gold_ingot',
      X: 'minecraft:amethyst_shard'
    }
  );

  event.shapeless(
    Item.of('farmersdelight:wheat_dough', 1),
    [
      'regions_unexplored:barley',
      'minecraft:water_bucket'
    ]
  ).keepIngredient('minecraft:water_bucket');

  event.shapeless(
    Item.of('alexsmobs:mosquito_repellent_stew', 3),
    [
      'minecraft:bowl',
      'spelunkery:salt',
      'spartanweaponry:grease_ball',
      'farmersdelight:tree_bark'
    ]
  );

  event.shaped(
    Item.of('netherchested:nether_chest', 1),
    [
      "AHA",
      "HTH",
      "AHA"
    ],
    {
      H: 'minecraft:nether_bricks',
      T: 'spelunkery:portal_fluid_bucket',
      A: 'minecraft:netherite_scrap'
    }
  );

});